#3505 closed defect (wontfix)

powerpc/virtex redefined warning

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: normal Keywords:
Cc: Blocked By: #3549
Blocking:

Description

This looks like ppc403 and ppc405 are both defined but I am not seeing source of the ppc405 definition. The warning is in this section of code:

#if defined (ppc403)
#define exisr 0x040 /* DCR: external interrupt status register */
#define exier 0x042 /* DCR: external interrupt enable register */
#endif /* ppc403 */
#if defined(ppc405)
#define exisr 0x0C0 /* DCR: external interrupt status register */
#define exier 0x0C2 /* DCR: external interrupt enable register */
#endif /* ppc405 */

In file included from /home/joel/rtems-work/rtems-testing/rtems/rtems/cpukit/include/rtems/score/percpu.h:25:0,

from ../../../../../../../../rtems/c/src/lib/libbsp/powerpc/virtex/../../../../../../bsps/powerpc/shared/exceptions/ppc_exc_async_normal.S:16:

/home/joel/rtems-work/rtems-testing/rtems/rtems/cpukit/score/cpu/powerpc/include/rtems/asm.h:228:0: warning: "exisr" redefined

#define exisr 0x0C0 /* DCR: external interrupt status register */


/home/joel/rtems-work/rtems-testing/rtems/rtems/cpukit/score/cpu/powerpc/include/rtems/asm.h:224:0: note: this is the location of the previous definition

#define exisr 0x040 /* DCR: external interrupt status register */


/home/joel/rtems-work/rtems-testing/rtems/rtems/cpukit/score/cpu/powerpc/include/rtems/asm.h:229:0: warning: "exier" redefined

#define exier 0x0C2 /* DCR: external interrupt enable register */


/home/joel/rtems-work/rtems-testing/rtems/rtems/cpukit/score/cpu/powerpc/include/rtems/asm.h:225:0: note: this is the location of the previous definition

#define exier 0x042 /* DCR: external interrupt enable register */


Change History (4)

comment:1 Changed on Aug 22, 2018 at 5:39:34 PM by Joel Sherrill

Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on Sep 5, 2018 at 5:41:38 AM by Sebastian Huber

Some ppc* defines are RTEMS-specific GCC built-in defines.

comment:3 Changed on Oct 14, 2018 at 12:52:17 AM by Joel Sherrill

We discussed removing this BSP on the mailing list. Is the resolution of this ticket to refer to a ticket to remove this BSP before 5.1 and close this as won't fix?

comment:4 Changed on Oct 15, 2018 at 5:14:44 AM by Sebastian Huber

Blocked By: 3549 added
Resolution: wontfix
Status: assignedclosed
Note: See TracTickets for help on using tickets.